Conforme noticiado em seu Press Release oficial (em inglês), o cPanel anunciou oficialmente que deixará de prestar suporte à versão 4 do CentOS/REHL (RedHat Enterprise Linux). Confira a tradução livre do comunicado:

Para manter a compatibilidade com as últimas versões do cPanel/WHM, por favor atualize o seu servidor para o CentOS ou RHEL versão 6.
O CentOS e a RedHat noticiaram há alguns meses sobre a descontinuação de suporte às suas versões 4.x, o que ocorreu no dia 29/02/2012.
A versão 11.32 do cPanel/WHM será a última com suporte integral à versão 4 destes sistemas operacionais. De acordo com a nossa política de validade, o cPanel/WHM continuará funcional para estes sistemas operacionais após o fim da vida dos mesmos.
Se você atualmente usa a versão 4 do CentOS ou RHEL, recomendamos que você faça o upgrade do seu servidor para a versão 6 do seu sistema operacional.
Para verificar qual é a versão instalada em seu servidor, use o seguinte comando:
cat /etc/redhat-release

Qualquer dúvida, deixe o seu comentário.